Add an Onsite Proxy Instance
Add and configure an Onsite Proxy instance.
Request URL
POST {base_url}/{api_path}/onsiteproxy/create?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| name | Yes | String | The name of Onsite Proxy instance. |
| platform | Yes | String | The operating system where the instance is deployed. Valid value: linux |
| audio_rtp_passthrough | No | Integer | Whether to enable the Audio RTP Passthrough feature. When enabled, audio streams between phones registered via the same Onsite Proxy are transmitted directly (peer-to-peer), bypassing both the PBX and the Onsite Proxy. Note: If omitted or left blank, the parameter is filled with 0.Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| id | Integer | The unique ID of the Onsite Proxy instance. |
Examples
Request example
POST /openapi/v1.0/onsiteproxy/create?access_token=q0GyBcsgO8FsXWxPpzAJVW33vd0OpnUz HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"name": "Region_sales",
"platform": "linux",
"audio_rtp_passthrough": 0
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"id": 68
}